import { Data } from './../Data';
export class GooutData extends Data {
    /**
     * 出行状态持续时间，单位秒
     */
    public statusTotalTime:number;

    /**
     * 出行ID
     */
    public recordId:number;

    /**
     * 
     */
    public desc:string;

    public update(result: any): void {
        if (!result) {
            return;
        }
        super.update(result);
        this.desc = result.desc;
        if(result.data){
            this.statusTotalTime = result.data.statusTotalTime;
            this.recordId = result.data.recordId;
        }
    }
}